Summary:	Customizable multithreaded proxy hunter
Name:		proxyknife
Version:	1.7
Release:	3%{?dist}
License:	GPLv3+
Group:		Applications/Internet
URL:		http://www.gnu.org/software/proxyknife/
Source0:	ftp://ftp.gnu.org/gnu/proxyknife/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-destdir.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires(post):	 /sbin/install-info
Requires(preun): /sbin/install-info

BuildRequires:	 dos2unix
BuildRequires:	 gettext
BuildRequires:	 texinfo-tex

%description
Proxyknife is a customizable multithread proxy hunter. It can help users
behind strict firewall find suitable free proxies.

%prep
%setup -q
%patch0 -p1

# Suppress rpmlint error.
dos2unix ./doc/msn.req
iconv --from-code ISO8859-1 --to-code UTF-8 ./doc/proxylist \
  --output proxylist.utf-8 && mv proxylist.utf-8 ./doc/proxylist

%build
%configure --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

# Move example and html from /usr/share/proxyknife/doc to RPM_BUILD_DIR.
# To be later listed against %doc.
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/example .
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/html .
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
  %{_infodir}/dir >/dev/null 2>&1 || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}.conf
%doc AUTHORS
%doc BUGS
%doc ChangeLog
%doc COPYING
%doc FEATURELIST
%doc NEWS
%doc README
%doc README.cn
%doc THANKS
%doc TODO
%doc doc/%{name}.dvi
%doc doc/%{name}.pdf
%doc example
%doc html
%{_bindir}/%{name}
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Feb 11 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.7-3
- Rebuilding with gcc-4.3 in Rawhide.

* Sat Dec 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 1.7-2
- Preserved timestamps using 'install -p'.

* Sat Oct 06 2007 Debarshi Ray <rishi@fedoraproject.org> - 1.7-1
- Initial build.
- Fixed Makefile.in to use DESTDIR correctly.
